#pragma once

#define KEK_SUCCESS 0
#define KEK_ERROR 1

#define KEK_VERTEX_SHADER_IN_POSITION 0
#define KEK_VERTEX_SHADER_IN_NORMAL 1
#define KEK_VERTEX_SHADER_IN_TEXCOORD 2

#define KEK_CAMERA_NEAR 0.1f
#define KEK_CAMERA_FAR 100.0f

#define KEK_LIGHT_LIMIT 8 // Also in shader/mesh/fragment.glsl

#define KEK_LIGHT_DEFAULT_AMBIENT_STRENGTH 0.05f
#define KEK_LIGHT_DEFAULT_SPECULAR_STRENGTH 0.1f

#define KEK_LIGHT_MAX_DISTANCE 30
#define KEK_LIGHT_MAX_DISTANCE_SQUARED (KEK_LIGHT_MAX_DISTANCE * KEK_LIGHT_MAX_DISTANCE)
